<?php
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require_once "../conexion/conectar.php";

$key_buscar = $_REQUEST['key_buscar'];

$conexion = new CONDB();
$conexion->conectar();

$qProveedores = "select d.rfcreceptor,d.nombrerec,p.notificar_general,p.esFinanciero,p.notificar_dias,p.notificar_despuesde,p.notificar_repetirdias,p.notificar_iniciar from doce d left join proveedores p ON d.rfcreceptor = p.rfc  and d.rfcemisor=p.rfc_receptor where tipoDocto='NOTIFICACION DE PAGO' and (nombrerec like '%$key_buscar%' 
or rfcreceptor like '%$key_buscar%') and rfcemisor='".$_SESSION['RFC_RECEPTOR_PORTAL']."' group by d.rfcreceptor";
// echo $qProveedores;exit;

if(!$result = mysqli_query($conexion->CONEXION,$qProveedores)){
	?><script>$j_6.messager.alert("Error","Ocurrio un error al consultar los proveedores. Intente nuevamente.","error");</script><?exit;
}

$qConfig = "select notificar_dias,notificar_despuesde,notificar_repetirdias from configpagina where rfc_receptor='".$_SESSION['RFC_RECEPTOR_PORTAL']."' limit 1";
if(!$rConfig = mysqli_query($conexion->CONEXION,$qConfig)){
	?><script>$j_6.messager.alert("Error","Ocurrio un error al consultar la configuración general. Intente nuevamente.","error");</script><?exit;
}
$tConfig = mysqli_fetch_assoc($rConfig);
?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script>
$j_6(document).ready(function() {	
	
	$j_6('.submit_rfc').click(function() {
		
		var s = $j_6(this).is(':checked');//$j_6('#checkRFC_'+$j_6(this).val()+' :checkbox:checked').length > 0;
		
        $j_6.post("formularios/guardar/guardaConfiguracionProveedor.php",{rfc: $j_6(this).val(),check: s},function(data){
			
		});
		
    });
	
	$j_6('.add_user').click(function() {
		
		var arr = $j_6(this).attr('id').split("_");
		var s = $j_6('#checkRFC_'+arr[2]).is(':checked');
		if(s){
			document.getElementById('add_user_'+arr[2]).src="Imagenes/loading.gif";
			var rfc = arr[2];
			var correo = $j_6("#correo_"+rfc).val();
			if(correo == ""){
				if(confirm("El correo esta vacio. ¿Desea continuar?\nSe generara el usuario pero no se le notificara el acceso.")){
					$j_6.post("formularios/guardar/generaUsuario.php",{rfc: rfc,correo: correo},function(data){
						$j_6("#resultados").html(data);
					});
				}else{
					document.getElementById('add_user_'+arr[2]).src="Imagenes/addUser.png";
				}
			}else{
				$j_6.post("formularios/guardar/generaUsuario.php",{rfc: rfc,correo: correo},function(data){
					$j_6("#resultados").html(data);
				});
			}
		}else{
			alert("Debe de seleccionar primero al proveedor.");
		}
		
    });
	
		
});
function agregaCorreos(rfc){
	ventanaModal3('[formularios/form_correos_proveedor.php,800,600]',rfc);
}

function guardaConfigProveedor(id,rfc){
	$j_6.post("formularios/guardar/alta_config_pagos_proveedor.php",{notificar_dias: $j_6("#notificar_dias_"+id).val(),notificar_despuesde: $j_6("#notificar_despuesde_"+id).val(),
	notificar_repetirdias: $j_6("#notificar_repetirdias_"+id).val(),rfc: rfc,notificar_iniciar: document.getElementById("notificar_iniciar_"+id).checked,notificar_general: document.getElementById("notificar_general_"+id).checked,esFinanciero: document.getElementById("esFinanciero_"+id).checked},function(data){
		$j_6("#result").html(data);
	});
}

function guardaAutomatico(id,rfc,tipo,campo){
	var valor = "";
	if(tipo=="check"){
		valor = document.getElementById(campo+"_"+id).checked;
	}else{
		valor = $j_6("#"+campo+"_"+id).val();
	}
	$j_6("body").addClass("loading");
	$j_6.post("formularios/guardar/guarda_config_proveedor_automatico.php",{campo: campo, valor: valor, rfc: rfc, tipo: tipo},function(data){
		$j_6("body").removeClass("loading");
		$j_6("#result").html(data);
	});
}

</script>

<br/>
	<table bgcolor="white" width="100%">
		<tr style="background-color: #000000">
			<th rowspan="2" width="10%"><font color="white">RFC</font></th>
			<th rowspan="2" width="50%"><font color="white">Nombre</font></th>
			<th rowspan="2" width="5%"><font color="white">Sector<br/>Financiero</font></th>
			<th colspan="6" width="40%"><font color="white">Notificar</font></th>
		</tr>
		<tr style="background-color: #000000">
			<th><font color="white">d&iacute;as<br/></font></th>
			<th><font color="white">Despues de<br/></font></th>
			<th><font color="white">Repetir notificaci&oacute;n<br/></font></th>
			<th><font color="white">Config. General</font></th>
			<th><font color="white">Enviar</font></th>
			<th><font color="white">Correos</font></th>
			
		</tr>
	<?
	if(mysqli_num_rows($result) > 0){
		while($tmp = mysqli_fetch_array($result)){
			if(trim($tmp["notificar_despuesde"]) == "" || $tmp["notificar_despuesde"] == NULL){
				$tmp["notificar_despuesde"] = $tConfig["notificar_despuesde"];
			}
			if(trim($tmp["notificar_dias"]) == "" || $tmp["notificar_dias"] == NULL){
				$tmp["notificar_dias"] = $tConfig["notificar_dias"];
			}
			if(trim($tmp["notificar_repetirdias"]) == "" || $tmp["notificar_repetirdias"] == NULL){
				$tmp["notificar_repetirdias"] = $tConfig["notificar_repetirdias"];
			}
			$idB64 = str_replace("=","",base64_encode($tmp["rfcreceptor"]));
		?>
		<tr style="background-color: #FFFFFF">
			<td><?=$tmp['rfcreceptor']?></td>
			<td><?=$tmp['nombrerec']?></td>
			<td style="text-align: center"><input onChange="guardaAutomatico('<?=$idB64?>','<?=$tmp["rfcreceptor"]?>','check','esFinanciero')" <?if($tmp["esFinanciero"] == "1"){?>checked="true"<?}?> id="esFinanciero_<?=$idB64?>" type="checkbox" style="cursor: pointer"/></td>
			<td><input onChange="guardaAutomatico('<?=$idB64?>','<?=$tmp["rfcreceptor"]?>','int','notificar_dias')" style="font-size: 15px; border-color: #fbca93" size="5" onKeyUp="onlyNums(this)" type="text" id="notificar_dias_<?=$idB64?>" value="<?=$tmp["notificar_dias"]?>"/></td>
			<td>
				<select onChange="guardaAutomatico('<?=$idB64?>','<?=$tmp["rfcreceptor"]?>','string','notificar_despuesde')" style="font-size: 15px; border-color: #fbca93" id="notificar_despuesde_<?=$idB64?>">
					<option value="FECHAPAGO" <?if($tmp["notificar_despuesde"] == "FECHAPAGO"){?>selected="true"<?}?>>Fecha de pago</option>
					<option value="FINMES"<?if($tmp["notificar_despuesde"] == "FINMES"){?>selected="true"<?}?>>Fin de mes</option>
				</select>
			</td>
			<td><input onChange="guardaAutomatico('<?=$idB64?>','<?=$tmp["rfcreceptor"]?>','int','notificar_repetirdias')" style="font-size: 15px; border-color: #fbca93" size="5" onKeyUp="onlyNums(this)" type="text" id="notificar_repetirdias_<?=$idB64?>" value="<?=$tmp["notificar_repetirdias"]?>"/></td>
			<td style="text-align: center"><input onChange="guardaAutomatico('<?=$idB64?>','<?=$tmp["rfcreceptor"]?>','check','notificar_general')" <?if($tmp["notificar_general"] == "1"){?>checked="true"<?}?> id="notificar_general_<?=$idB64?>" type="checkbox" style="cursor: pointer"/></td>
			<td style="text-align: center"><input onChange="guardaAutomatico('<?=$idB64?>','<?=$tmp["rfcreceptor"]?>','check','notificar_iniciar')" <?if($tmp["notificar_iniciar"] == "1"){?>checked="true"<?}?> id="notificar_iniciar_<?=$idB64?>" type="checkbox" style="cursor: pointer"/></td>
			<!--<td style="text-align: center"><img style="cursor: pointer" onClick="guardaConfigProveedor('<?=$idB64?>','<?=$tmp["rfcreceptor"]?>');" src="Imagenes/Floppy.png" width="24" height="24"/></td>-->
			<td style="text-align: center"><img style="cursor: pointer" onClick="agregaCorreos('<?=$tmp["rfcreceptor"]?>');" src="Imagenes/E-Mail.png" width="34" height="24"/></td>
		</tr>
	<?}
	}
	?>
	</table>
<!--</form>-->
<div id="resultados"></div>